/****************************************************

Libconio 1.0 (C) 2004 FSL A.C.

Basado en la implementacion de conio.h escrita 
por Salvador Fernandez Barquin y adaptado a lib 
por Maximo Pech Jaramillo <makz@linuxmail.org>

Se permite su uso, copia, distribucion y modificacion 
bajo los trminos de la GNU GPL versin 2.0 publicada 
por la Free Software Foundation.

*****************************************************/

#ifndef _CONIO_H
#define _CONIO_H

#include <termios.h>
#include <stdio.h>
#include <sys/ioctl.h>

#define ESC 033 /* Escape char */

struct textinfo
{
 int curx;
 int cury; 
};

enum
{
 BLACK,
 RED,
 GREEN,
 BROWN,
 BLUE,
 MAGENTA,
 CYAN,
 LIGHTGRAY,
 DARKGRAY,
 LIGHTRED,
 LIGHTGREEN,
 YELLOW,
 LIGHTBLUE,
 LIGHTMAGENTA,
 LIGHTCYAN,
 WHITE,
};

int kbhit(void);
int getche(void);
int getch(void);
void clreol(void);
void clrscr(void);
void gotoxy(int, int);
void textcolor(int);
void textbackground(int);
int wherex(void);
int wherey(void);

#endif

